Bug 131889 - mail/qmail-spamcontrol - RECIPIENTS extension broken for multiple-VERP recipients
mail/qmail-spamcontrol - RECIPIENTS extension broken for multiple-VERP recipi...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 21:20 UTC by hg
Modified: 2009-02-24 12:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hg 2009-02-19 21:20:01 UTC
mail/qmail-spamcontrol was recently updated (thank you maintainer!), including the RECIPIENTS module, as of around qmail-spamcontrol-1.03.2520 (19 Feb 2009). This release no longer supports destination (rcpt to:) user addresses containing more than one VERP character.

Fix: 

Workaround involves adding each discrete address with more than one VERP to users/recipients, in this example adding

hg-this-doesnt@queue.to

and running qmail-recipients
How-To-Repeat: Starting state:

- VERP is the default hyphen character
- Local user and address in users/recipients is 'hg@queue.to'
- .qmail-thisWorks     and      .qmail-this-doesnt      exist in ~hg

telnet to the MTA, after heloing issue
rcpt to: <hg-this-doesnt@queue.to>
550 mailbox doesnt exist is returned

rcpt to: <hg-thisWorks@queue.to>
220 Ok

And that one works
Comment 1 Mark Linimon freebsd_committer 2009-02-19 21:28:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Fix sysnopsis and assign.
Comment 2 dfilter freebsd_committer 2009-02-24 12:42:21 UTC
garga       2009-02-24 12:42:12 UTC

  FreeBSD ports repository

  Modified files:
    mail/qmail           distinfo 
    mail/qmail-spamcontrol Makefile 
  Log:
  - Update spamcontrol to 2521 to fix recipients problem included by last version
  - Remove spamcontrol spf patch MD% from distinfo, forgot un 2.5 upgrade
  
  PR:             ports/131889
  Submitted by:   howard goldstein <hg@queue.to>
  
  Revision  Changes    Path
  1.30      +1 -1      ports/mail/qmail-spamcontrol/Makefile
  1.67      +3 -4      ports/mail/qmail/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Renato Botelho freebsd_committer 2009-02-24 12:42:54 UTC
State Changed
From-To: open->closed

Fixed on last version, 2521. Thanks!